Bug 1731639 - Export to csv button on sub tasks page won't work
Summary: Export to csv button on sub tasks page won't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.6.0
Assignee: Adam Ruzicka
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-20 08:48 UTC by Nikhil Kathole
Modified: 2019-10-23 07:04 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.15.5.4-1
Doc Type: If docs needed, set a value
Doc Text:
When you navigate to a parent task from a remote execution job page and click Export, Satellite returns an error. Instead, navigate to Monitor > Tasks and find the parent task by the UUID using the "parent_task_id = $UUID" filter. Then, click the task and click Export.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Export button (50.84 KB, image/png)
2019-07-20 08:50 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27178 Normal Closed Export button does not work when looking at task's subtasks 2020-06-09 11:56:56 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:10 UTC

Description Nikhil Kathole 2019-07-20 08:48:37 UTC
Description of problem:

Clicking on export button on task page won't work and gives "something went wrong" error

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 12


How reproducible:
always


Steps to Reproduce:
1. Run remote execution jobs
2. Go to parent task - > click on sub tasks
3. Click on Export button

Actual results:
gives "something went wrong" error

Expected results:
Subtasks should export successfully.

Additional info:

Comment 3 Nikhil Kathole 2019-07-20 08:50:24 UTC
Created attachment 1592204 [details]
Export button

Comment 6 Bryan Kearney 2019-07-29 16:08:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27178 has been resolved.

Comment 10 Nikhil Kathole 2019-08-26 11:07:55 UTC
VERIFIED

Version tested:
Satellite 6.6 snap 17

Export on sub tasks page works correctly.

Comment 12 errata-xmlrpc 2019-10-22 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.